Subject: Re: bug#17356: 24.4.50; find-file any tramp method raises "Lisp nesting exceeds `max-lisp-eval-depth'"

From: Ross Patterson <[email-masked]>
Date: Sun, 27 Apr 2014 12:39:00 -0700

I use emacs-snapshot:

$ apt-cache policy emacs-snapshot
emacs-snapshot:
  Installed: 2:201404261246~ubuntu13.10.1
  Candidate: 2:201404261246~ubuntu13.10.1
  Version table:
 *** 2:201404261246~ubuntu13.10.1 0
        500 http://ppa.launchpad.net/ubuntu-elisp/ppa/ubuntu/
saucy/main amd64 Packages
        100 /var/lib/dpkg/status
     2:20140101-1~ppa1~saucy1 0
        500 http://ppa.launchpad.net/cassou/emacs/ubuntu/ saucy/main
amd64 Packages

I update and upgrade daily.  I confirmed that I was up-to-date and
that the issue still happened when I reported this bug.  Today after
upgrading the bug is gone:

$ sudo aptitude upgrade
The following packages will be upgraded:
  emacs-snapshot-common
1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/23.0 MB of archives. After unpacking 34.8 kB will be used.
Do you want to continue? [Y/n/?] y
(Reading database ... 750216 files and directories currently installed.)
Preparing to replace emacs-snapshot-common
2:201404020503~ubuntu13.10.1 (using
.../emacs-snapshot-common_2%3a201404261246~ubuntu13.10.1_all.deb) ...

So it's fixed now.

Thanks,
Ross

On Sun, Apr 27, 2014 at 2:03 AM, Michael Albinus <[email-masked]> wrote:
> Ross Patterson <[email-masked]> writes:
>
> Hi Ross,
>
>> A few days ago, trying to visit any tramp file (`/scpx:`, `/sudo:`,
>> etc.) results in "Lisp nesting exceeds `max-lisp-eval-depth'" as soon as
>> I type the colon.  This happens with or without ido.
>>
>> In GNU Emacs 24.4.50.2 (x86_64-pc-linux-gnu, GTK+ Version 3.8.6)
>>  of 2014-04-26 on radon
>> Windowing system distributor `The X.Org Foundation', version 11.0.11405000
>> System Description: Ubuntu 13.10
>
> Some days ago, the autoload behaviour of Tramp was reworked in order to
> fix a recursive load bug. This was merged into the trunk on 2014-04-11
> with bzr revision 116967.
>
> You have compiled your Emacs version later, but does it include this
> change? And likely, you need to bootstrap Emacs in order to get this
> change.
>
> Does this problem also happen, when you start "emacs -Q"?
>
> Best regards, Michael.